import { GridOptions, SvgElParams } from '../types';
import * as d3 from 'd3';
export declare class Grid {
    private _d3;
    private _svgEl;
    private _svgElParams;
    protected gridOptions: GridOptions;
    constructor(_d3: typeof d3, _svgEl: d3.Selection<SVGElement, unknown, null, undefined>, _svgElParams: SvgElParams, _gridOptions: GridOptions);
    protected setOptionDefaults(gridOptions: GridOptions): GridOptions;
    render(): void;
    renderGridLinesX(): void;
    renderGridLinesY(): void;
    updateStylesOfTicks(): void;
}
